## pyfastx 0.8.4

=== docs/requirements.txt ===
sphinx>=2.1.2

=== debian/changelog ===
pyfastx (0.8.4-2) unstable; urgency=medium

  * Source only upload.

 -- Étienne Mollier <emollier@debian.org>  Wed, 07 Dec 2022 22:06:08 +0100

pyfastx (0.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #1024465)

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Nov 2022 16:58:50 +0100

=== debian/control ===
Source: pyfastx
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libsqlite3-dev,
               python3-all-dev,
               python3-pyfaidx <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/pyfastx
Vcs-Git: https://salsa.debian.org/med-team/pyfastx.git
Homepage: https://github.com/lmdu/pyfastx.git
Rules-Requires-Root: no

Package: pyfastx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         python3,
         python3-pyfastx
Description: fast random access to sequences from FASTA/Q file - command
 The pyfastx is a lightweight Python C extension that enables users to randomly
 access to sequences from plain and gzipped FASTA/Q files. This module aims to
 provide simple APIs for users to extract sequence from FASTA and reads from
 FASTQ by identifier and index number. The pyfastx will build indexes stored in
 a sqlite3 database file for random access to avoid consuming excessive amount
 of memory. In addition, the pyfastx can parse standard (sequence is spread
 into multiple lines with same length) and nonstandard (sequence is spread into
 one or more lines with different length) FASTA format.
 .
 It features:
 .
  * a single file for the Python extension;
  * lightweight, memory efficient FASTA/Q file parsing;
  * fast random access to sequences from gzipped FASTA/Q file;
  * sequences reading from FASTA file line by line;
  * N50 and L50 calculation of sequences in FASTA file;
  * GC content and nucleotides composition calculation;
  * reverse, complement and antisense sequences extraction;
  * excellent compatibility: support for parsing nonstandard FASTA file;
  * support for FASTQ quality score conversion;
  * a command line interface for splitting FASTA/Q file.
 .
 This package provides the command line interface.

Package: python3-pyfastx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         python3,
         python3-pyfaidx
Section: python
Description: fast random access to sequences from FASTA/Q file - python3 module
 The pyfastx is a lightweight Python C extension that enables users to randomly
 access to sequences from plain and gzipped FASTA/Q files. This module aims to
 provide simple APIs for users to extract sequence from FASTA and reads from
 FASTQ by identifier and index number. The pyfastx will build indexes stored in
 a sqlite3 database file for random access to avoid consuming excessive amount
 of memory. In addition, the pyfastx can parse standard (sequence is spread
 into multiple lines with same length) and nonstandard (sequence is spread into
 one or more lines with different length) FASTA format.
 .
 It features:
 .
  * a single file for the Python extension;
  * lightweight, memory efficient FASTA/Q file parsing;
  * fast random access to sequences from gzipped FASTA/Q file;
  * sequences reading from FASTA file line by line;
  * N50 and L50 calculation of sequences in FASTA file;
  * GC content and nucleotides composition calculation;
  * reverse, complement and antisense sequences extraction;
  * excellent compatibility: support for parsing nonstandard FASTA file;
  * support for FASTQ quality score conversion;
  * a command line interface for splitting FASTA/Q file.
 .
 This package provides the python3 module.

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem pybuild --with python3

execute_after_dh_installexamples:
	# Remove duplicate uncompressed files caused by the nature of the test;
	# we can get them back during the CLI test.
	rm debian/pyfastx/usr/share/doc/pyfastx/examples/test.fa
	rm debian/pyfastx/usr/share/doc/pyfastx/examples/test.fq

## pyfastx 1.1.0

=== debian/changelog ===
pyfastx (1.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: python3-indexed-gzip

  [ Étienne Mollier ]
  * New upstream version
  * Set upstream metadata fields: Repository.
  * d/zran/: vendor indexed-gzip's zran until it is packaged.
  * d/copyright: update information about zran.
  * d/rules: copy zran in src directory before build.
  * d/copyright: remove ci/ paragraph.
  * d/control: remove .git extension from the Homepage.

 -- Étienne Mollier <emollier@debian.org>  Sat, 24 Jun 2023 11:40:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,14 @@
 %:
 	dh $@ --buildsystem pybuild --with python3
 
+execute_before_dh_auto_build:
+	# FIXME: we pull the zran files from indexed-gzip source package, which
+	# does not expose this file in its binary package, so this is vendored
+	# for the moment.  Upstream originally vendored these files straight in
+	# src/, but stopped for whatever reason, possibly introduction of a
+	# library somewhere at some point.  See #1038995 to track packaging.
+	cp --no-clobber debian/zran/* src/
+
 execute_after_dh_installexamples:
 	# Remove duplicate uncompressed files caused by the nature of the test;
 	# we can get them back during the CLI test.

## pyfastx 2.0.2

=== debian/changelog ===
pyfastx (2.0.2-2) unstable; urgency=medium

  * Source only upload for Python 3.12 support.  (Closes: #1058394)

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 10:45:00 +0100

pyfastx (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * use_debian_packaged_indexed-gzip.patch: refresh.
  * use_debian_packaged_zlib.patch: new.
    This patch avoids zlib download at build time.

 -- Étienne Mollier <emollier@debian.org>  Tue, 28 Nov 2023 21:42:46 +0100

pyfastx (2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 24 Sep 2023 21:54:45 +0200

pyfastx (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * d/rules; deduplicate changelog entries.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Sep 2023 21:56:06 +0200

pyfastx (1.1.0-2) unstable; urgency=medium

  * d/clean: new: notably remove egg-info and zran source. (Closes: #1045826)

 -- Étienne Mollier <emollier@debian.org>  Tue, 22 Aug 2023 15:28:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libsqlite3-dev,
+               zlib1g-dev,
                python3-all-dev,
+               python3-indexed-gzip,
                python3-pyfaidx <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pyfastx
 Vcs-Git: https://salsa.debian.org/med-team/pyfastx.git
-Homepage: https://github.com/lmdu/pyfastx.git
+Homepage: https://github.com/lmdu/pyfastx
 Rules-Requires-Root: no
 
 Package: pyfastx

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,12 @@
 	# library somewhere at some point.  See #1038995 to track packaging.
 	cp --no-clobber debian/zran/* src/
 
+execute_after_dh_installdocs:
+	# Deduplicate changelog entries flagged by lintian.
+	rm debian/pyfastx/usr/share/doc/pyfastx/docs/changelog.rst*
+	cd debian/pyfastx/usr/share/doc/pyfastx/docs \
+	&& ln -s ../changelog.gz changelog.rst.gz
+
 execute_after_dh_installexamples:
 	# Remove duplicate uncompressed files caused by the nature of the test;
 	# we can get them back during the CLI test.

## pyfastx 2.1.0

=== debian/changelog ===
pyfastx (2.1.0-2) unstable; urgency=medium

  * d/rules: make use of indexed-gzip's zran files.
  * d/zran/: delete: debian's vendored zran is now unnecessary.
  * d/copyright: remove reference to debian's zran.
  * d/control: declare compliance to standards version 4.7.0.
  * use_debian_packaged_indexed-gzip.patch: forwarding not needed.
  * d/rules: the test suite needs src/version.h.
    This change also includes a cleanup step that gets rid of a spare
    non.fa fasta file that clutter the test bed after the run.
    (Closes: #1080124)
  * d/rules: use the portable variant of cp -n.

 -- Étienne Mollier <emollier@debian.org>  Fri, 30 Aug 2024 20:31:18 +0200

pyfastx (2.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 10:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-indexed-gzip,
                python3-pyfaidx <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/pyfastx
 Vcs-Git: https://salsa.debian.org/med-team/pyfastx.git
 Homepage: https://github.com/lmdu/pyfastx

## pyfastx 2.2.0

=== docs/requirements.txt ===
sphinx>=7.2.5
sphinx-rtd-theme>=1.3.0

=== debian/changelog ===
pyfastx (2.2.0-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:23:15 +0000

pyfastx (2.2.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:58:36 +0000

pyfastx (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * d/patches/use_debian_packaged*: squash patches.
    use_debian_packaged_indexed-gzip.patch, use_debian_packaged_zlib.patch
    and a change to make sure we use Debian packaged sqlite3 are
    concatenated in a single use_debian_packaged_components.patch to make
    patch management lighter weight.
  * build-options.patch: new: propagate Debian build flags.
  * d/patches/*: normalise patches to follow DEP3.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Feb 2025 12:11:29 +0100

pyfastx (2.1.0-3) unstable; urgency=medium

  * d/control: properly depend on ${python3:Depends}. (Closes: #1088355)

 -- Étienne Mollier <emollier@debian.org>  Wed, 27 Nov 2024 20:59:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,24 @@
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+export PYBUILD_BEFORE_TEST=\
+	mkdir -pv {build_dir}/src \
+	&& cp -v src/version.h {build_dir}/src
+
+export PYBUILD_AFTER_TEST=rm -rvf {build_dir}/src {build_dir}/non.fa
+
 %:
 	dh $@ --buildsystem pybuild --with python3
 
+INDEXED_GZIP_DIR = /usr/lib/python3/dist-packages/indexed_gzip
 execute_before_dh_auto_build:
-	# FIXME: we pull the zran files from indexed-gzip source package, which
-	# does not expose this file in its binary package, so this is vendored
-	# for the moment.  Upstream originally vendored these files straight in
-	# src/, but stopped for whatever reason, possibly introduction of a
-	# library somewhere at some point.  See #1038995 to track packaging.
-	cp --no-clobber debian/zran/* src/
+	# Upstream originally vendored these files straight in src/, but
+	# stopped for some reason.  We're pulling them instead from the
+	# package python3-indexed-gzip.
+	cp --update=none $(INDEXED_GZIP_DIR)/zran.c src/
+	cp --update=none $(INDEXED_GZIP_DIR)/zran.h src/
+	cp --update=none $(INDEXED_GZIP_DIR)/zran_file_util.c src/
+	cp --update=none $(INDEXED_GZIP_DIR)/zran_file_util.h src/
 
 execute_after_dh_installdocs:
 	# Deduplicate changelog entries flagged by lintian.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all
Restrictions: allow-stderr

Tests: test-cli
Depends: @

## pyfastx 2.3.0

=== debian/changelog ===
pyfastx (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * use_debian_packaged_components.patch: fix typo in patch description.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Jan 2026 19:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pyfastx
 Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -11,16 +10,16 @@
                python3-indexed-gzip,
                python3-pyfaidx <!nocheck>,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/pyfastx
 Vcs-Git: https://salsa.debian.org/med-team/pyfastx.git
 Homepage: https://github.com/lmdu/pyfastx
-Rules-Requires-Root: no
 
 Package: pyfastx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         python3,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
          python3-pyfastx
 Description: fast random access to sequences from FASTA/Q file - command
  The pyfastx is a lightweight Python C extension that enables users to randomly
@@ -49,8 +48,9 @@
 
 Package: python3-pyfastx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         python3,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
          python3-pyfaidx
 Section: python
 Description: fast random access to sequences from FASTA/Q file - python3 module

=== debian/watch ===
Version: 5

Template: Github
Owner: lmdu
Project: pyfastx
